Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.domain.variable
Class PlanningVariableDescriptor

    java.lang.Object
      org.drools.planner.core.domain.variable.PlanningVariableDescriptor

    public class PlanningVariableDescriptor

extends Object

Constructor Summary
`PlanningVariableDescriptor(PlanningEntityDescriptor planningEntityDescriptor, PropertyDescriptor variablePropertyDescriptor)`

Method Summary
`void` | `addDependentPlanningVariableDescriptor(DependentPlanningVariableDescriptor dependentPlanningVariableDescriptor)`
`Collection<?>` | `extractAllPlanningValues(Solution solution)`
`Collection<?>` | `extractPlanningValues(Solution solution, Object planningEntity)`
`Collection<DependentPlanningVariableDescriptor>` | `getDependentPlanningVariableDescriptors()`
`PlanningEntityDescriptor` | `getPlanningEntityDescriptor()`
`long` | `getProblemScale(Solution solution, Object planningEntity)`
`Object` | `getValue(Object planningEntity)`
`PlanningValueSorter` | `getValueSorter()`
`String` | `getVariableName()`
`Class<?>` | `getVariablePropertyType()`
`boolean` | `isChained()`
`boolean` | `isInitialized(Object planningEntity)`
`boolean` | `isPlanningValuesCacheable()`
`void` | `processAnnotations()`
`void` | `setValue(Object planningEntity, Object value)`
`void` | `uninitialize(Object planningEntity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanningVariableDescriptor

    public PlanningVariableDescriptor(PlanningEntityDescriptor planningEntityDescriptor,
                                      PropertyDescriptor variablePropertyDescriptor)

Method Detail

### processAnnotations

    public void processAnnotations()

### addDependentPlanningVariableDescriptor

    public void addDependentPlanningVariableDescriptor(DependentPlanningVariableDescriptor dependentPlanningVariableDescriptor)

### getPlanningEntityDescriptor

    public PlanningEntityDescriptor getPlanningEntityDescriptor()

### getVariableName

    public String getVariableName()

### getVariablePropertyType

    public Class<?> getVariablePropertyType()

### isChained

    public boolean isChained()

### getDependentPlanningVariableDescriptors

    public Collection<DependentPlanningVariableDescriptor> getDependentPlanningVariableDescriptors()

### isInitialized

    public boolean isInitialized(Object planningEntity)

### uninitialize

    public void uninitialize(Object planningEntity)

### getValue

    public Object getValue(Object planningEntity)

### setValue

    public void setValue(Object planningEntity,
                         Object value)

### extractAllPlanningValues

    public Collection<?> extractAllPlanningValues(Solution solution)

### extractPlanningValues

    public Collection<?> extractPlanningValues(Solution solution,
                                               Object planningEntity)

### isPlanningValuesCacheable

    public boolean isPlanningValuesCacheable()

### getValueSorter

    public PlanningValueSorter getValueSorter()

### getProblemScale

    public long getProblemScale(Solution solution,
                                Object planningEntity)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.